.carousel-image-wrapper {
position: relative;
cursor: pointer;
}

.carousel-item img {
	height: 300px;
	object-fit: cover;
}

.carousel-image-wrapper .overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.25);
	display: flex;
	justify-content: center;
	align-items: center;
	opacity: 0;
	transition: 0.3s;
}

.carousel-image-wrapper:hover .overlay {
	opacity: 1;
}

.carousel-image-wrapper .overlay i {
	color: white;
	font-size: 32px;
}

/* Modal styling */
.modal-preview {
	display: none;
	position: fixed;
	z-index: 9999;
	top: 0; left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0,0,0,0.85);
	justify-content: center;
	align-items: center;
}

.modal-preview img {
	max-width: 90%;
	max-height: 90%;
	border-radius: 5px;
	object-fit: contain;
}

/* DETAIL */
.info-block {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.info-item {
    display: flex;
    align-items: center;
    gap: 15px;
}

.info-item .social-links a {
    width: 34px;
    height: 34px;
    background-color: #a6a6af42;
    color: #123458;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    border-radius: 90%;
}

.info-item .social-links a:hover {
    background-color: #123458;
    color: #ffffff;
}

.info-text {
    flex: 1;
    min-width: 0;
}

.info-text .label {
    font-size: 14px;
    color: #777;
    font-weight: 500;
}

.info-text .value {
    font-size: 16px;
    font-weight: 500;
    color: #3c4e5f;
}

.status-badge {
    padding: 6px 12px !important;
    border-radius: 25px !important;
    font-size: 13px;
    font-weight: 500;
    white-space: nowrap;
    display: inline-block;
}


/* TIMELINE STEP */

.timeline {
    position: relative;
    max-width: 600px;
    margin: auto;
  }
  
  .timeline::before {
    content: '';
    position: absolute;
    left: 15px;
    top: 0;
    bottom: 0;
    width: 2px;
    background: #e0e0e0;
  }
  
  .timeline-item {
    position: relative;
    margin-bottom: 20px;
    padding-left: 40px;
  }
  
  .timeline-marker.red,
  .timeline-marker.blue,
  .timeline-marker.yellow,
  .timeline-marker.green, 
  .timeline-marker.grey{
    position: absolute;
    left: 7px;
    top: 6px;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    border: 1px solid #fff;
  }
  
  .timeline-marker.red {
    background: #f44336;
  }
  
  .timeline-marker.blue {
    background: #3698f4;
  }
  
  .timeline-marker.yellow {
    background: #ffcc00;
  }
  
  .timeline-marker.green {
    background: #18b718;
  }

  .timeline-marker.grey {
    background: #969696;
  }
  
  .timeline-content {
    background: white;
    padding: 8px;
    border-radius: 4px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  }
  
  .timeline-date {
    font-size: 12px;
    margin-bottom: 1px;
  }
  
  p.highlight {
    font-size: 12px;
  }
  
  p.oleh {
    font-size: 10px;  
  }
